import React, { PureComponent } from "react";

class WhatsappIcon extends PureComponent {
    render() {
        return (
            <svg viewBox="0 0 384 384" xmlns="http://www.w3.org/2000/svg">
                <path
                    fill="currentColor"
                    d="M106.2 32C120.2 32 133.9 35.9 145.8 43.3L156.1 49.7L168.1 47.7C176.6 46.2 185.3 45.5 194 45.5C234.5 45.5 272.5 61 301 89.2C329.4 117.2 345.1 154.5 345.1 194.1C345.1 204.8 343.9 215.5 341.6 225.9L339.1 237L344.2 247.2C349.3 257.3 351.9 268.1 351.9 279.4C351.9 319.5 318.6 352.1 277.7 352.1C265.2 352.1 253.4 349.2 242.5 343.4L232.7 338.2L221.8 340.2C212.7 341.9 203.3 342.7 194 342.7C153.5 342.7 115.5 327.2 87 299C58.6 271 42.9 233.7 42.9 194.1C42.9 184.1 43.9 174 45.9 164.2L48.4 152L42 141.3C35.5 130.2 32 117.6 32 104.7C32 64.6 65.3 32 106.2 32ZM106.2 0C47.6 0 0 46.9 0 104.7C0 124.1 5.3 142.2 14.6 157.7C12.2 169.4 10.9 181.6 10.9 194C10.9 293.8 92.9 374.6 194 374.6C205.5 374.6 216.7 373.6 227.5 371.6C242.5 379.5 259.6 384 277.7 384C336.4 384 383.9 337.1 383.9 279.3C383.9 262.6 379.9 246.8 372.8 232.8C375.6 220.3 377 207.4 377 194.1C377 94.4 295 13.5 193.8 13.5C183.1 13.5 172.7 14.4 162.5 16.1C146.3 5.9 127 0 106.2 0Z"
                />
                <path
                    fill="currentColor"
                    d="M267.75 262.81C260.944 272.259 250.935 279.787 237.963 285.072C225.071 290.357 209.696 293 192.08 293C171.02 293 153.404 289.316 139.551 282.109C129.702 276.824 121.615 269.777 115.369 260.968C109.123 252.159 106 243.351 106 234.862C106 229.577 108.082 225.012 112.086 221.169C116.089 217.485 121.294 215.563 127.38 215.563C132.425 215.563 136.749 217.004 140.272 219.967C143.635 222.77 146.518 226.934 148.84 232.38C151.482 238.226 154.285 243.19 157.328 247.114C160.21 250.878 164.294 254.001 169.579 256.484C174.944 258.966 182.071 260.247 190.879 260.247C202.97 260.247 212.899 257.685 220.346 252.64C227.713 247.755 231.236 241.829 231.236 234.622C231.236 228.936 229.395 224.452 225.551 220.928C221.547 217.245 216.343 214.362 209.857 212.44C203.21 210.358 194.162 208.196 182.952 205.873C167.737 202.67 154.845 198.826 144.516 194.502C134.026 190.098 125.538 183.931 119.292 176.324C113.287 168.636 110.084 158.867 110.084 147.415C110.084 136.444 113.447 126.675 120.013 118.186C126.579 109.778 136.108 103.211 148.52 98.7267C160.691 94.2422 175.184 92 191.52 92C204.652 92 216.102 93.5215 225.711 96.4044C235.4 99.3673 243.488 103.371 249.974 108.336C256.38 113.301 261.184 118.586 264.227 124.112C267.27 129.718 268.791 135.243 268.791 140.608C268.791 145.733 266.79 150.458 262.786 154.542C258.782 158.626 253.737 160.788 247.732 160.788C242.287 160.788 238.043 159.507 235.08 156.945C232.358 154.542 229.475 150.859 226.352 145.493C222.669 138.686 218.264 133.241 213.22 129.397C208.255 125.714 200.088 123.792 188.717 123.792C178.227 123.792 169.659 125.874 163.333 129.958C157.248 133.882 154.285 138.446 154.285 143.812C154.285 147.095 155.246 149.818 157.248 152.22C159.33 154.702 162.212 156.945 165.976 158.786C169.819 160.708 173.823 162.23 177.747 163.271C181.831 164.392 188.637 166.074 198.006 168.156C209.937 170.638 220.827 173.521 230.436 176.484C240.205 179.607 248.613 183.371 255.499 187.775C262.546 192.26 268.071 198.106 272.074 204.992C275.998 211.879 278 220.528 278 230.458C278 242.47 274.557 253.361 267.75 262.81Z"
                />
            </svg>
        );
    }
}

export default WhatsappIcon;
